Draft Offset/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descripción==")
(Created page with "La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han s...")
Line 3: Line 3:
==Descripción==
==Descripción==


La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el [[Draft Workingplane/es|plano de trabajo]] actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.
The Offset tool offsets the selected object by a given distance on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]

Revision as of 15:57, 13 February 2014

Draft Offset

Ubicación en el Menú
Croquis -> Equidistancia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
O S
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.

How to use

  1. Select objects you wish to offset
  2. Press the Draft Offset button, or press O then S keys
  3. Click a point on the 3D view, or type a distance.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

 offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

 import FreeCAD,Draft
 Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))